export interface Comparable<T> {
    compare(other: T): boolean;
}
export declare class PriorityQueue<T extends Comparable<T>> {
    items: Array<T>;
    size: number;
    constructor();
    enqueue(item: T): void;
    sink(index: number): void;
    dequeue(): T;
}
