export declare class BinaryHeap<T> {
    private content;
    private scoreFunction;
    constructor(scoreFunction: (element: T) => number);
    push(element: T): void;
    pop(): T;
    remove(node: T): void;
    size(): number;
    rescoreElement(node: T): void;
    sinkDown(n: number): void;
    bubbleUp(n: number): void;
}
