import { Vector } from "../vector";
/**
 * Determine whether a simple polygon is a convex polygon
 * @param points points buffer
 * @param base start index of the polygon on points
 * @param n end index of the polygon on points
 * @param tolerance tolerance
 * @param checkCounterClockwise whether to consider order of vertices.
 */
export declare function isConvex(points: Array<Vector>, base?: number, n?: number, tolerance?: number, checkCounterClockwise?: boolean): boolean;
export declare function makeHull(points: Array<Vector>): Array<Vector>;
