import { PhysMaterial, PhysProperty } from "./material";
import { CollisionResult } from "../collision/collision-result";
import { Vector } from "../vector";
export declare function applyImpulse(material: PhysMaterial, state: PhysProperty, impulse: Vector, contactVector: Vector): void;
export declare function resolveContact(aMat: PhysMaterial, aState: PhysProperty, bMat: PhysMaterial, bState: PhysProperty, result: CollisionResult): void;
export declare function positionalCorrection(aMat: PhysMaterial & PhysProperty, bMat: PhysMaterial & PhysProperty, result: CollisionResult): void;
